%define tarname Cython

# Force python3 build - required by new hplip
# % {?build_python3}%{?!build_python3:%bcond_without python3}
%bcond_without python3

Summary:	Language for writing C extensions to Python
Name:		python-cython
Version:	0.22.1
Release:	1
Source0:	https://pypi.python.org/packages/source/C/Cython/Cython-%{version}.tar.gz
Source100:	%{name}.rpmlintrc
License:	Apache License
Group:		Development/Python
Url:		http://www.cython.org
BuildRequires:	python-devel
BuildRequires:	dos2unix
BuildRequires:  python-distribute
%if %{with python3}
BuildRequires:  python3-distribute
%endif

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%if %{with python3}
%package -n python3-cython
Summary:    Language for writing C extensions to Python
Group:      Development/Python

BuildRequires:  python3-devel

%description -n python3-cython
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.
%endif

%prep
%setup -q -c

mv %{tarname}-%{version} python2
%if %{with python3}
cp -r python2 python3
%endif

%build 
pushd python2
python setup.py build
popd
%if %{with python3}
pushd python3
python3 setup.py build
popd
%endif

%install
%if %{with python3}
pushd python3
PYTHONDONTWRITEBYTECODE= python3 setup.py install --root %{buildroot}
mv %{buildroot}/usr/bin/cython %{buildroot}/usr/bin/cython3
mv %{buildroot}/usr/bin/cygdb %{buildroot}/usr/bin/cygdb3
mv %{buildroot}/usr/bin/cythonize %{buildroot}/usr/bin/cythonize3
popd
%endif

pushd python2
find -name .*DS_Store* | xargs rm -rf

PYTHONDONTWRITEBYTECODE= python setup.py install --root %{buildroot}
pushd Tools
dos2unix cython-mode.el
install -m 755 -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -m 644 *.el* %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd
popd

#%%check
#PYTHONPATH=`pwd`/../build/lib make test clean

%files 
%{_sysconfdir}/emacs/site-start.d/*.el*
%{_bindir}/cython
%{_bindir}/cygdb
%{_bindir}/cythonize
%{py_platsitedir}/Cython*
%{py_platsitedir}/cython*
%{py_platsitedir}/pyximport*

%if %{with python3}
%files -n python3-cython
%{_bindir}/cython3
%{_bindir}/cygdb3
%{_bindir}/cythonize3
%{py3_platsitedir}/__pycache__/*
%{py3_platsitedir}/Cython*
%{py3_platsitedir}/cython*
%{py3_platsitedir}/pyximport*
%endif

%changelog

* Fri Jan 01 2016 dsilakov <denis.silakov@rosalab.ru> 0.22.1-1
- (9f85857) Merge pull request #2 from import/python-cython:auto_update
- (9f85857) Updated to 0.22.1 (by updates_builder)


